<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
			<link rel="stylesheet" href="style.css" />
        <title>Le clos des vignes</title>
			<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
    </head>

    <body>
		<header>
			<a href="accueil.html" id="logo"><img src="images/logo.jpg" alt="logo le clos de vignes"/></a>
			<ul class="coodonées">
				<li><strong>9 Place du 8 mai 1945</strong></li>
				<li><strong>30210   Castillon du Gard</strong></li>
				<li><strong>04.66.37.02.26</strong></li>
			</ul>
			<nav>
				<ul class="navbar">
					<li><a href="restaurant.html">Le Restaurant</a></li>
					<li><a href="cartes.html">La Carte</a></li>
					<li><a href="contact.html">Contact</a></li>
					<li><a href="galerie.html">Galerie</a></li>
				</ul>
			</nav>
		</header>
		<div id="slider">
      <div id="mask">
        <ul id="image_container">
          <li><img src="images/bird.jpg" alt="terrasse"/></li>
          <li><img src="images/red_bird.jpg" alt="pation"/></li>
          <li><img src="images/spring.jpg" alt="plat"/></li>
          <li><img src="images/winter.jpg" alt="facade"/></li>
        </ul>
      </div>
      <img src="resources/glass.png" id="glass" alt="contour silder"/>
      <ul id="dots">
          <li class="button1" onClick="changeImage(1)" ></li>
          <li class="button2" onClick="changeImage(2)" ></li>
          <li class="button3" onClick="changeImage(3)" ></li>
          <li class="button4" onClick="changeImage(4)" ></li>
      </ul>
      <img src="resources/fleche-gauche.png" id="fleche_gauche" class="fleche" onClick="prevImage()" alt="fleche slider" />
      <img src="resources/fleche-droite.png" id="fleche_droite" class="fleche" onClick="nextImage()" alt="fleche slider" />
		</div>
		<script>
		  var secDuration = 5;
		  var image = 1;
		  var maxImages = 4;
		  var slider = document.getElementById('slider');
		  var timeout
		  
		  function changeImage(requiredImage) {
		  
			if (!requiredImage && requiredImage != 0){
			  if(image < maxImages){
				image++;
			  }
			  else{
				image = 1; 
			  }
			}
			else{ //
			  if(requiredImage > maxImages){
				image = 1;
			  }
			  else if(requiredImage < 1){
				image = maxImages;
			  }
			  else{
				image = requiredImage;
			  }
			}
			slider.className = "image"+image;
			
			clearTimeout(timeout)
			timeout = setTimeout("changeImage()",secDuration*1000);
		  }
		  
		  function nextImage(){
			changeImage(image+1);
		  }
		  function prevImage(){
			changeImage(image-1);
		  }
		  
		  changeImage(1);
		</script>
		<footer>
			<ul class="coodonées">
				<li><strong>9 Place du 8 mai 1945</strong></li>
				<li><strong>30210   Castillon du Gard</strong></li>
				<li><strong>04.66.37.02.26</strong></li>
			</ul>
			<p>Suivez-nous sur :</p><a href="https://www.facebook.com/people/Jean-Vidau/100009473378720"><img src="images/logofacebook.png" alt="logo facebook"/></a>
		</footer>
    </body>
	<script>
var positionElementInPage = $('.navbar').offset().top;
$( window ).resize(function() {
    positionElementInPage = $('.navbar').offset().top;
});
$(window).scroll(
    function() {
        if ($(window).scrollTop() > positionElementInPage) {
            // fixed
            $('.navbar').addClass("fixedTop");
        } else {
            // unfixed
            $('.navbar').removeClass("fixedTop");
        }
    }
  );
</script>

</html>